Debian Bug report logs - #370332
keep server list separate from other ntp.conf settings

Package: ntp; Maintainer for ntp is Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>; Source for ntp is src:ntp.

Reported by: Luk Claes <luk@debian.org>

Date: Sun, 4 Jun 2006 17:33:10 UTC

Severity: wishlist

Blocking fix for 311188: debian-edu-config: Messes "programmatically" with conffiles of other packages

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian NTP Team <debian-ntp@gag.com>:
Bug#370332; Package ntp. Full text and rfc822 format available.

Acknowledgement sent to Luk Claes <luk@debian.org>:
New Bug report received and forwarded. Copy sent to Debian NTP Team <debian-ntp@gag.com>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Luk Claes <luk@debian.org>
To: submit@bugs.debian.org
Subject: Make some conffiles automatically configurable
Date: Sun, 04 Jun 2006 19:22:15 +0200
[Message part 1 (text/plain, inline)]
Package: ntp
Severity: wishlist

Hi

Automatically configuring ntp is not policy compliant for the moment
as one needs to edit conffiles (etc/ntp.conf and etc/default/ntpdate) in
the process.

A solution might be to include some file if it exists in the
configuration...

Cheers

Luk

-- 
Luk Claes - http://people.debian.org/~luk - GPG key 1024D/9B7C328D
Fingerprint:   D5AF 25FB 316B 53BB 08E7   F999 E544 DE07 9B7C 328D



[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian NTP Team <debian-ntp@gag.com>:
Bug#370332; Package ntp. Full text and rfc822 format available.

Acknowledgement sent to Bdale Garbee <bdale@gag.com>:
Extra info received and forwarded to list. Copy sent to Debian NTP Team <debian-ntp@gag.com>. Full text and rfc822 format available.

Message #10 received at 370332@bugs.debian.org (full text, mbox):

From: Bdale Garbee <bdale@gag.com>
To: Luk Claes <luk@debian.org>, 370332@bugs.debian.org
Subject: Re: [debian-ntp] Bug#370332: Make some conffiles automatically configurable
Date: Sun, 04 Jun 2006 12:40:47 -0600
On Sun, 2006-06-04 at 19:22 +0200, Luk Claes wrote:

> A solution might be to include some file if it exists in the
> configuration...

This has come up before.  The ntp upstream code does not provide an
include file mechanism for config files.

Bdale




Blocking bugs added: 370319, 370324, 370332, 370337, 370338, 370339, 370340, 370342, 370343, 370344, 370346, 370347, 370348, 370349, 370350, and 370351 Request was from Luk Claes <luk@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs removed: 370319, 370324, 370332, 370337, 370338, 370339, 370340, 370342, 370343, 370344, 370346, 370347, 370348, 370349, 370350, 370351, and 370393 Request was from Luk Claes <luk@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 370319, 370324, 370332, 370337, 370338, 370339, 370340, 370342, 370343, 370344, 370346, 370347, 370348, 370349, 370350, 370351, and 370393 Request was from Luk Claes <luk@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian NTP Team <debian-ntp@gag.com>:
Bug#370332; Package ntp. Full text and rfc822 format available.

Acknowledgement sent to Peter Eisentraut <petere@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian NTP Team <debian-ntp@gag.com>. Full text and rfc822 format available.

Message #21 received at 370332@bugs.debian.org (full text, mbox):

From: Peter Eisentraut <petere@debian.org>
To: 370332@bugs.debian.org
Cc: Debian Edu Developers <debian-edu@lists.debian.org>
Subject: Re: Bug#370332: Make some conffiles automatically configurable
Date: Fri, 16 Jun 2006 21:41:47 +0200
I don't see why Debian Edu would need a different NTP configuration that 
any other system.  I cannot detect offhand what debian-edu-config 
actually does with the ntp configuration, so could the Debian Edu 
Developers please describe what needs they have?



Information forwarded to debian-bugs-dist@lists.debian.org, Debian NTP Team <debian-ntp@gag.com>:
Bug#370332; Package ntp. Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Debian NTP Team <debian-ntp@gag.com>. Full text and rfc822 format available.

Message #26 received at 370332@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: Peter Eisentraut <petere@debian.org>
Cc: 370332@bugs.debian.org
Subject: Re: Bug#370332: Make some conffiles automatically configurable
Date: Fri, 16 Jun 2006 23:05:35 +0200
[Peter Eisentraut]
> I don't see why Debian Edu would need a different NTP configuration
> that any other system.  I cannot detect offhand what
> debian-edu-config actually does with the ntp configuration, so could
> the Debian Edu Developers please describe what needs they have?

The default configuration should be a set of machines with
synchrionized clocks without any outside communication.  The network
should have one clock server and several clock clients.  We discovered
a few years ago that it is important that tht clock server do not try
to communicate outside the local network, as this would keep ISDN
lines up and force the schools to pay horrible costs for the phone
lines.  It should be easy to configure the clock server to fetch
correct time from outside the local network, but it should not be the
default.  The point is that all the machines on the local network
should have the _same_ time to easy file system use and log
processing, and that a _correct_ clock should be optional.

Friendly,
-- 
Petter Reinholdtsen



Information forwarded to debian-bugs-dist@lists.debian.org, Debian NTP Team <debian-ntp@gag.com>:
Bug#370332; Package ntp. Full text and rfc822 format available.

Acknowledgement sent to Peter Eisentraut <petere@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian NTP Team <debian-ntp@gag.com>. Full text and rfc822 format available.

Message #31 received at 370332@bugs.debian.org (full text, mbox):

From: Peter Eisentraut <petere@debian.org>
To: Petter Reinholdtsen <pere@hungry.com>
Cc: 370332@bugs.debian.org
Subject: Re: Bug#370332: Make some conffiles automatically configurable
Date: Fri, 16 Jun 2006 23:22:38 +0200
Petter Reinholdtsen wrote:
> The default configuration should be a set of machines with
> synchrionized clocks without any outside communication.  The network
> should have one clock server and several clock clients.

Would it help you if the NTP server package accepted NTP server 
information from the DHCP server (#268328)?  It seems that 
Skolelinux-type networks use a DHCP server anyway, so you could point 
to your local time source there.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian NTP Team <debian-ntp@gag.com>:
Bug#370332; Package ntp. Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Debian NTP Team <debian-ntp@gag.com>. Full text and rfc822 format available.

Message #36 received at 370332@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: Peter Eisentraut <petere@debian.org>
Cc: 370332@bugs.debian.org
Subject: Re: Bug#370332: Make some conffiles automatically configurable
Date: Fri, 16 Jun 2006 23:27:34 +0200
[Peter Eisentraut]
> Would it help you if the NTP server package accepted NTP server
> information from the DHCP server (#268328)?  It seems that
> Skolelinux-type networks use a DHCP server anyway, so you could
> point to your local time source there.

Yes, at least for the time clients it would be great.  Now we use DNS
to point the clients to the server, but it would be better if DHCP or
some service location protocol was used instead.

For the clock server on the local network, DHCP will not make much
difference, as it by default is the DHCP too, so it can not ask itself
to get the IP info.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>:
Bug#370332; Package ntp. Full text and rfc822 format available.

Acknowledgement sent to Kurt Roeckx <kurt@roeckx.be>:
Extra info received and forwarded to list. Copy sent to Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #41 received at 370332@bugs.debian.org (full text, mbox):

From: Kurt Roeckx <kurt@roeckx.be>
To: Petter Reinholdtsen <pere@hungry.com>
Cc: Peter Eisentraut <petere@debian.org>, 370332@bugs.debian.org
Subject: Re: Bug#370332: Make some conffiles automatically configurable
Date: Sat, 3 Mar 2007 12:55:05 +0100
On Fri, Jun 16, 2006 at 11:27:34PM +0200, Petter Reinholdtsen wrote:
> [Peter Eisentraut]
> > Would it help you if the NTP server package accepted NTP server
> > information from the DHCP server (#268328)?  It seems that
> > Skolelinux-type networks use a DHCP server anyway, so you could
> > point to your local time source there.
> 
> Yes, at least for the time clients it would be great.  Now we use DNS
> to point the clients to the server, but it would be better if DHCP or
> some service location protocol was used instead.
> 
> For the clock server on the local network, DHCP will not make much
> difference, as it by default is the DHCP too, so it can not ask itself
> to get the IP info.

If you're using dhcp3 and configure it to tell add a hook for ntp, this
should work.  See /usr/share/doc/ntp/README.Debian.gz


Kurt




Information forwarded to debian-bugs-dist@lists.debian.org, Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>:
Bug#370332; Package ntp. Full text and rfc822 format available.

Acknowledgement sent to dparsons@debian.org:
Extra info received and forwarded to list. Copy sent to Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #46 received at 370332@bugs.debian.org (full text, mbox):

From: Drew Parsons <dparsons@debian.org>
To: 370332@bugs.debian.org
Subject: ntp: keep server list separate from other ntp.conf settings
Date: Wed, 06 Feb 2008 14:43:08 +1100
I've noticed over the last year or so occasional updates have been made
to /etc/ntp.conf.  Because I've tried to optimise my server list to use
local servers, I've missed these changes.  During the upgrade I get the
option to accept the new version of /etc/ntp.conf or to keep my current
version, so I kept the old, not wanting to have to go through my server
list again.  

But I think some of the non-server changes to /etc/ntp.conf must have
been important, and in fact I eventually reached the point where ntp
plain failed to work, e.g.
Feb 6 13:48:53 pug ntpd_initres[5745]: ntpd returns a permission denied
error!

So I purged and reinstalled ntp to get the new ntp.conf, reset my
servers, it's all fine again at the moment (I think).

I think it must be a relatively common configuration, to want to define
your own servers but otherwise leave other ntp.conf settings at their
default values.

It would therefore make sense if the server list could be read in from a
separate file, /etc/ntp.servers say.  This could be done either as an
#include mechanism reading /etc/ntp.conf (bug #370332 says this does not
yet exist), or by the Debian postinst merging a /etc/ntp.settings
and /etc/ntp.servers to create a unified /etc/ntp.conf (not so hard to
do, right?), or by having the ntp code read servers from a server file
instead of /etc/ntp.conf (probably too fiddly compared with introducing
an #include mechanism).

The advantage would be a greatly improved ease of upgrading the general
config settings, while maintaining the same list of servers.

I was going to raise a new bug about this, but saw that Bug#370332
addresses similar concerns, so I'm adding my comments here instead.

Thanks,
Drew




Information forwarded to debian-bugs-dist@lists.debian.org, Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>:
Bug#370332; Package ntp. Full text and rfc822 format available.

Acknowledgement sent to Kurt Roeckx <kurt@roeckx.be>:
Extra info received and forwarded to list. Copy sent to Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #51 received at 370332@bugs.debian.org (full text, mbox):

From: Kurt Roeckx <kurt@roeckx.be>
To: dparsons@debian.org, 370332@bugs.debian.org
Subject: Re: [pkg-ntp-maintainers] Bug#370332: ntp: keep server list separate from other ntp.conf settings
Date: Wed, 6 Feb 2008 19:47:07 +0100
On Wed, Feb 06, 2008 at 02:43:08PM +1100, Drew Parsons wrote:
> I've noticed over the last year or so occasional updates have been made
> to /etc/ntp.conf.  Because I've tried to optimise my server list to use
> local servers, I've missed these changes.  During the upgrade I get the
> option to accept the new version of /etc/ntp.conf or to keep my current
> version, so I kept the old, not wanting to have to go through my server
> list again.  

You can also look at the diff and merge them.

> But I think some of the non-server changes to /etc/ntp.conf must have
> been important, and in fact I eventually reached the point where ntp
> plain failed to work, e.g.
> Feb 6 13:48:53 pug ntpd_initres[5745]: ntpd returns a permission denied
> error!

You probably have:
restrict 127.0.0.1 nomodify

Which should get changed to:
restrict 127.0.0.1

That will allow the slave process to set the ip addresses.

> I think it must be a relatively common configuration, to want to define
> your own servers but otherwise leave other ntp.conf settings at their
> default values.
> 
> It would therefore make sense if the server list could be read in from a
> separate file, /etc/ntp.servers say.  This could be done either as an
> #include mechanism reading /etc/ntp.conf (bug #370332 says this does not
> yet exist),

The current version has an "includefile" option which you can use for
this.


Kurt





Information forwarded to debian-bugs-dist@lists.debian.org, Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>:
Bug#370332; Package ntp. Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #56 received at 370332@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: Kurt Roeckx <kurt@roeckx.be>, 370332@bugs.debian.org
Subject: Re: Bug#370332: [pkg-ntp-maintainers] Bug#370332: ntp: keep server list separate from other ntp.conf settings
Date: Wed, 6 Feb 2008 20:52:47 +0100
[Message part 1 (text/plain, inline)]
Hi Kurt,

On Wednesday 06 February 2008 19:47, Kurt Roeckx wrote:
> > It would therefore make sense if the server list could be read in from a
> > separate file, /etc/ntp.servers say.  This could be done either as an
> > #include mechanism reading /etc/ntp.conf (bug #370332 says this does not
> > yet exist),
> The current version has an "includefile" option which you can use for
> this.

Where is that option described? I checked man ntp.conf and man ntpd but 
couldnt find it.

Also, wouldnt we still need to modify a configfile to use that option?


regards,
	Holger
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>:
Bug#370332; Package ntp. Full text and rfc822 format available.

Acknowledgement sent to Kurt Roeckx <kurt@roeckx.be>:
Extra info received and forwarded to list. Copy sent to Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #61 received at 370332@bugs.debian.org (full text, mbox):

From: Kurt Roeckx <kurt@roeckx.be>
To: Holger Levsen <holger@layer-acht.org>
Cc: 370332@bugs.debian.org
Subject: Re: Bug#370332: [pkg-ntp-maintainers] Bug#370332: ntp: keep server list separate from other ntp.conf settings
Date: Wed, 6 Feb 2008 21:48:11 +0100
On Wed, Feb 06, 2008 at 08:52:47PM +0100, Holger Levsen wrote:
> Hi Kurt,
> 
> On Wednesday 06 February 2008 19:47, Kurt Roeckx wrote:
> > > It would therefore make sense if the server list could be read in from a
> > > separate file, /etc/ntp.servers say.  This could be done either as an
> > > #include mechanism reading /etc/ntp.conf (bug #370332 says this does not
> > > yet exist),
> > The current version has an "includefile" option which you can use for
> > this.
> 
> Where is that option described? I checked man ntp.conf and man ntpd but 
> couldnt find it.

/usr/share/doc/ntp-doc/html/miscopt.html

> Also, wouldnt we still need to modify a configfile to use that option?

Well, I guess it would be best if we modified the file to use that.


Kurt





Information forwarded to debian-bugs-dist@lists.debian.org, Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>:
Bug#370332; Package ntp. Full text and rfc822 format available.

Acknowledgement sent to Alain Guibert <alguibert+bts@free.fr>:
Extra info received and forwarded to list. Copy sent to Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #66 received at 370332@bugs.debian.org (full text, mbox):

From: Alain Guibert <alguibert+bts@free.fr>
To: 370332@bugs.debian.org
Cc: Drew Parsons <dparsons@debian.org>
Subject: Re: Bug#370332: ntp: keep server list separate from other ntp.conf settings
Date: Wed, 6 Feb 2008 15:49:57 +0100 (CET)
Hello Drew,

 On Wednesday, February 6, 2008 at 14:43:08 +1100, Drew Parsons wrote:

> the server list could be read in from a separate file,
> /etc/ntp.servers say.  This could be done either as an #include
> mechanism reading /etc/ntp.conf (bug #370332 says this does not yet
> exist)

Note that ntp.conf can have an "includefile /etc/ntp.servers" command.
I verified it works well with the current ntp-dev version 4.2.5p111.
If the file doesn't exist, a warning message "getconfig: Couldn't open
</etc/ntp.servers>" is printed to the log, and the daemon just proceeds
without it, as usual.

Well, this does not solve everything: if the conf upgrade happens to
impact "server" lines (example appending "iburst" to them), or
intimately related things (like associated "restrict" lines), it will
not touch /etc/ntp.servers


Alain.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>:
Bug#370332; Package ntp. Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #71 received at 370332@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: Kurt Roeckx <kurt@roeckx.be>, 370332@bugs.debian.org
Subject: Re: Bug#370332: [pkg-ntp-maintainers] Bug#370332: ntp: keep server list separate from other ntp.conf settings
Date: Thu, 7 Feb 2008 09:30:26 +0100
[Message part 1 (text/plain, inline)]
Hi,

On Wednesday 06 February 2008 21:48, Kurt Roeckx wrote:
> > > The current version has an "includefile" option which you can use for
> > > this.
> > Where is that option described? I checked man ntp.conf and man ntpd but
> > couldnt find it.
> /usr/share/doc/ntp-doc/html/miscopt.html

/me wonders if he should file a wishlist bug to include that in a manpage...

> > Also, wouldnt we still need to modify a configfile to use that option?
> Well, I guess it would be best if we modified the file to use that.

Yes, please! (I could barely refrain from using caps here :-)


regards,
	Holger
[Message part 2 (application/pgp-signature, inline)]

Changed Bug title to `keep server list separate from other ntp.conf settings' from `Make some conffiles automatically configurable'. Request was from Holger Levsen <holger@layer-acht.org> to control@bugs.debian.org. (Mon, 25 Feb 2008 09:54:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>:
Bug#370332; Package ntp. Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #78 received at 370332@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: 370332@bugs.debian.org
Subject: dear maintainer, please comment...
Date: Sat, 5 Apr 2008 20:32:05 +0200
[Message part 1 (text/plain, inline)]
Hi Kurt, Peter & Bdale,

could you please comment on the status of this bug? It's really important for 
us to fix #311188 for Lenny, so that upgrades from Lenny to Lenny+1 will work 
without problems for Debian Edu installations.

It seemed that you "just" needed to change a few bits in the packaging and 
then upload... any plans for doing so? ;-)

Thank you.


regards,
	Holger
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>:
Bug#370332; Package ntp. Full text and rfc822 format available.

Acknowledgement sent to Kurt Roeckx <kurt@roeckx.be>:
Extra info received and forwarded to list. Copy sent to Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #83 received at 370332@bugs.debian.org (full text, mbox):

From: Kurt Roeckx <kurt@roeckx.be>
To: Holger Levsen <holger@layer-acht.org>, 370332@bugs.debian.org
Subject: Re: [pkg-ntp-maintainers] Bug#370332: dear maintainer, please comment...
Date: Sat, 5 Apr 2008 21:02:36 +0200
On Sat, Apr 05, 2008 at 08:32:05PM +0200, Holger Levsen wrote:
> Hi Kurt, Peter & Bdale,
> 
> could you please comment on the status of this bug? It's really important for 
> us to fix #311188 for Lenny, so that upgrades from Lenny to Lenny+1 will work 
> without problems for Debian Edu installations.
> 
> It seemed that you "just" needed to change a few bits in the packaging and 
> then upload... any plans for doing so? ;-)

Petter Reinholdtsen said:
> Yes, at least for the time clients it would be great.  Now we use DNS
> to point the clients to the server, but it would be better if DHCP or
> some service location protocol was used instead.

You can use DHCP to do this.  I think atleast etch supported it.  I think
it's even the default in lenny.

ntpd also supports avahi, but it wasn't enabled before.  The current
svn version has the build dependency and it should be available in
the next upload.  I have no idea how this works, and if this is
something you'd like to use.

But that still leaves the time server question open.  I guess the best
solution for that would be to use the include file option and have a
debconf question that asks for the ntp servers to use which could then write
that file.  That would probably be a question with low priority so that
you normaly don't see it.  I guess we could also use the same file for
the servers we get from dhcp instead of rewriting the whole ntp.conf file.

But I think if we want to go the debconf way, we'd have to ask several
questions.  And I need to think a little more about this.


Kurt





Information forwarded to debian-bugs-dist@lists.debian.org, Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>:
Bug#370332; Package ntp. Full text and rfc822 format available.

Acknowledgement sent to Peter Eisentraut <peter_e@gmx.net>:
Extra info received and forwarded to list. Copy sent to Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #88 received at 370332@bugs.debian.org (full text, mbox):

From: Peter Eisentraut <peter_e@gmx.net>
To: Holger Levsen <holger@layer-acht.org>, 370332@bugs.debian.org
Subject: Re: [pkg-ntp-maintainers] Bug#370332: dear maintainer, please comment...
Date: Sat, 5 Apr 2008 21:18:49 +0200
Holger Levsen wrote:
> could you please comment on the status of this bug? It's really important
> for us to fix #311188 for Lenny, so that upgrades from Lenny to Lenny+1
> will work without problems for Debian Edu installations.
>
> It seemed that you "just" needed to change a few bits in the packaging and
> then upload... any plans for doing so? ;-)

I think the approach being proposed is wrong.  It would upset existing users 
and make life more complicated for "normal" uses, to accomodate what is 
essentially a packaging and policy problem.  There could be any number of 
custom Debian distributions that want to customize various configuration 
files.  The end result of that would be that the dpkg conffile mechanism must 
go away entirely.  Maybe that is the way to go, I wouldn't be opposed to 
that.  But we need to consider this a bit more generally before we craft an 
individual workaround in every package.

That said, I would welcome a proposal and patch for switching to ucf.  AFAICT, 
this would give end users essentially the same behavior while allowing other 
packages to write around in the configuration files.  I have never 
implemented it, however.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>:
Bug#370332; Package ntp. Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #93 received at 370332@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: 370332@bugs.debian.org
Subject: Re: Bug#370332: [pkg-ntp-maintainers] Bug#370332: dear maintainer, please comment...
Date: Mon, 7 Apr 2008 17:20:06 +0200
[Message part 1 (text/plain, inline)]
Hi,

On Saturday 05 April 2008 21:18, Peter Eisentraut wrote:
> I think the approach being proposed is wrong.  It would upset existing
> users and make life more complicated for "normal" uses, to accomodate what
> is essentially a packaging and policy problem.  There could be any number
> of custom Debian distributions that want to customize various configuration
> files.  The end result of that would be that the dpkg conffile mechanism
> must go away entirely.  Maybe that is the way to go, I wouldn't be opposed
> to that.  But we need to consider this a bit more generally before we craft
> an individual workaround in every package.

I think you're overestimating the amount of changes CDDs need to do. Currently 
we have nine blocking bugs for #311188 left, not 20000 :-)

I still think you might have a point though :-) But I'd prefer to have this 
discussion after Lenny and for now concentrate on getting those few relevant 
packages fixed now. And I'm not sure you have point as well: as a user, I 
very much like packages which I can customize without loosing the default 
configuration too much.

> That said, I would welcome a proposal and patch for switching to ucf. 
> AFAICT, this would give end users essentially the same behavior while
> allowing other packages to write around in the configuration files.  I have
> never implemented it, however.

I guess we will have to look into this then ;-)


regards,
	Holger
[Message part 2 (application/pgp-signature, inline)]

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 07:58:26 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.